Bug 245371 - mail/fetchmail, mail/fetchmailconf: update from -rc2 to release (translation updates)
Summary: mail/fetchmail, mail/fetchmailconf: update from -rc2 to release (translation ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords: buildisok, patch-ready
Depends on:
Blocks:
 
Reported: 2020-04-05 11:32 UTC by Matthias Andree
Modified: 2020-04-17 23:00 UTC (History)
2 users (show)

See Also:
chalpin: maintainer-feedback+
mandree: merge-quarterly+


Attachments
patch to move forward from fetchmail 6.4.3-rc2 to 6.4.3 release. (2.35 KB, patch)
2020-04-05 11:32 UTC, Matthias Andree
chalpin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree freebsd_committer 2020-04-05 11:32:55 UTC
Created attachment 213091 [details]
patch to move forward from fetchmail 6.4.3-rc2 to 6.4.3 release.

ports-secteam@FreeBSD.org: I think this is under blanket approval, please either comment if it's not or else unsubscribe and I'll MFH.

Update from fetchmail-6.4.3-rc2 to fetchmail-6.4.3, with these relevant changes. 
None affect code files, it's only translations and documentation.

* 02c92e99 2020-04-05 | po/: Record 'make distcheck' changes for release. (tag: RELEASE_6-4-3) [Matthias Andree]
* 0b175aec 2020-04-05 | configure.ac, NEWS: Bump version for 6.4.3 release. [Matthias Andree]
* 0b143cf8 2020-04-04 | NEWS: Mention Esperanto update. [Matthias Andree]
* 54577a4d 2020-04-03 | Update <eo> Esperanto translation to fetchmail 6.4.3-rc2  [Felipe Castro]
* cd34cf8f 2020-04-02 | NEWS: Add translations so far. [Matthias Andree]
* 5ed4bb4c 2020-04-01 | Update <sv> Swedish translation to fetchmail 6.4.3-rc2 [Göran Uddeborg]
* 117ecd06 2020-03-31 | Update <zh_CN> Chinese (simplified) translation to fetchmail 6.4.3-rc2 [Boyuan Yang]
* 13600873 2020-03-31 | Update <sq> Albanian translation to fetchmail-6.4.3-rc2 [Besnik Bleta]
* c83a5ae9 2020-03-31 | Update <pl> Polish translation to fetchmail 6.4.3-rc2 [Jakub Bogusz]
* 741ae779 2020-04-01 | Update <fr> French translation to fetchmail-6.4.3-rc2 [Frédéric Marchal]
* 744af877 2020-03-31 | Update <cs> Czech translation to fetchmail 6.4.3-rc2 [Petr Pisar]

fetchmail-6.4.3, fetchmailconf-6.4.3 build properly on my poudriere jails:

JAILNAME  VERSION              ARCH          METHOD       TIMESTAMP          
113amd64  11.3-RELEASE-p7      amd64         ftp          2020-03-23 11:32:14
113i386   11.3-RELEASE-p7      i386          ftp          2020-03-23 11:32:51
121arm64  12.1-RELEASE 1201000 arm64.aarch64 src=/usr/src 2019-11-06 18:21:44
121mips64 12.1-RELEASE 1201000 mips.mips64   src=/usr/src 2019-11-06 18:46:10
121amd64  12.1-RELEASE-p2      amd64         ftp          2020-02-09 19:56:42
121i386   12.1-RELEASE-p3      i386          ftp          2020-03-23 11:11:04

and in a live 12.1-RELEASE-p3 amd64 system.
Comment 1 Corey Halpin 2020-04-05 19:33:42 UTC
Looks good to me, no new warnings from portlint,  mail/fetchmail passes 'poudriere testport' on both i386 and amd64 under 11.3 and 12.1 for the following configurations:
  - Default settings 
  - Default settings, build as non-root
  - ssl=base, GSSAPI_MIT
  - ssl=base, GSSAPI_NONE
  - ssl=openssl
  - ssl=openssl with SSL2 and SSL3 disabled
  - ssl=openssl, GSSAPI_NONE
  - ssl=libressl
  - ssl=libressl, GSSAPI_NONE

mail/fetchmailconf passes 'poudriere testport' on both i386 and amd64 under
11.2 and 12.1 with default settings.

I approve this patch. Thank you!
Comment 2 commit-hook freebsd_committer 2020-04-05 19:59:51 UTC
A commit references this bug:

Author: mandree
Date: Sun Apr  5 19:59:09 UTC 2020
New revision: 530831
URL: https://svnweb.freebsd.org/changeset/ports/530831

Log:
  mail/fetchmail, fetchmailconf: update from -rc2 to release (translations)

  Update from fetchmail-6.4.3-rc2 to fetchmail-6.4.3, with these relevant changes.
  None affect code files, it's only translations and documentation.

  * 02c92e99 2020-04-05 | po/: Record 'make distcheck' changes for release. (tag: RELEASE_6-4-3) [Matthias Andree]
  * 0b175aec 2020-04-05 | configure.ac, NEWS: Bump version for 6.4.3 release. [Matthias Andree]
  * 0b143cf8 2020-04-04 | NEWS: Mention Esperanto update. [Matthias Andree]
  * 54577a4d 2020-04-03 | Update <eo> Esperanto translation to fetchmail 6.4.3-rc2  [Felipe Castro]
  * cd34cf8f 2020-04-02 | NEWS: Add translations so far. [Matthias Andree]
  * 5ed4bb4c 2020-04-01 | Update <sv> Swedish translation to fetchmail 6.4.3-rc2 [G?ran Uddeborg]
  * 117ecd06 2020-03-31 | Update <zh_CN> Chinese (simplified) translation to fetchmail 6.4.3-rc2 [Boyuan Yang]
  * 13600873 2020-03-31 | Update <sq> Albanian translation to fetchmail-6.4.3-rc2 [Besnik Bleta]
  * c83a5ae9 2020-03-31 | Update <pl> Polish translation to fetchmail 6.4.3-rc2 [Jakub Bogusz]
  * 741ae779 2020-04-01 | Update <fr> French translation to fetchmail-6.4.3-rc2 [Fr?d?ric Marchal]
  * 744af877 2020-03-31 | Update <cs> Czech translation to fetchmail 6.4.3-rc2 [Petr Pisar]

  There is no documentation/translation-update blanket.

  PR:		245371
  Approved by:	Corey Halpin (maintainer)
  MFH:		2020Q2 (only documentation and translation updates, please approve)

Changes:
  head/mail/fetchmail/Makefile
  head/mail/fetchmail/distinfo
  head/mail/fetchmail/files/patch-fetchmail.man
Comment 3 commit-hook freebsd_committer 2020-04-17 22:58:16 UTC
A commit references this bug:

Author: mandree
Date: Fri Apr 17 22:57:52 UTC 2020
New revision: 531980
URL: https://svnweb.freebsd.org/changeset/ports/531980

Log:
  MFH: r530831

  mail/fetchmail, fetchmailconf: update from -rc2 to release (translations)

  Update from fetchmail-6.4.3-rc2 to fetchmail-6.4.3, with these relevant changes.
  None affect code files, it's only translations and documentation.

  * 02c92e99 2020-04-05 | po/: Record 'make distcheck' changes for release. (tag: RELEASE_6-4-3) [Matthias Andree]
  * 0b175aec 2020-04-05 | configure.ac, NEWS: Bump version for 6.4.3 release. [Matthias Andree]
  * 0b143cf8 2020-04-04 | NEWS: Mention Esperanto update. [Matthias Andree]
  * 54577a4d 2020-04-03 | Update <eo> Esperanto translation to fetchmail 6.4.3-rc2  [Felipe Castro]
  * cd34cf8f 2020-04-02 | NEWS: Add translations so far. [Matthias Andree]
  * 5ed4bb4c 2020-04-01 | Update <sv> Swedish translation to fetchmail 6.4.3-rc2 [G?ran Uddeborg]
  * 117ecd06 2020-03-31 | Update <zh_CN> Chinese (simplified) translation to fetchmail 6.4.3-rc2 [Boyuan Yang]
  * 13600873 2020-03-31 | Update <sq> Albanian translation to fetchmail-6.4.3-rc2 [Besnik Bleta]
  * c83a5ae9 2020-03-31 | Update <pl> Polish translation to fetchmail 6.4.3-rc2 [Jakub Bogusz]
  * 741ae779 2020-04-01 | Update <fr> French translation to fetchmail-6.4.3-rc2 [Fr?d?ric Marchal]
  * 744af877 2020-03-31 | Update <cs> Czech translation to fetchmail 6.4.3-rc2 [Petr Pisar]

  There is no documentation/translation-update blanket.

  PR:		245371
  Approved by:	Corey Halpin (maintainer)

  Approved by:	ports-secteam@ (joneum@)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/mail/fetchmail/Makefile
  branches/2020Q2/mail/fetchmail/distinfo
  branches/2020Q2/mail/fetchmail/files/patch-fetchmail.man